<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FAFAFA"
    android:orientation="vertical"
    tools:context=".activity.battery.BatteryActivity">


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:ignore="UselessParent">

        <FrameLayout
            android:id="@+id/fl_fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="15dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/fanhui_b"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="Battery Info"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp">

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="40dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_h"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="28sp"
                android:textStyle="bold"
                tools:text="00" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="h"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_m"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:textSize="28sp"
                android:textStyle="bold"
                tools:text="00" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="m"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="28dp"
            android:text="left with current power\ncosumption"
            android:textColor="#666666"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/ll"
            app:layout_constraintTop_toBottomOf="@id/ll"
            tools:ignore="HardcodedText" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="30dp"
            android:src="@mipmap/tianchitu"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="8dp"
        android:orientation="horizontal">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/temperature"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_temperature"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:text="37.5°C" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Temperature"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/voltage"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_voltage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:text="3.6V" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Voltage"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="8dp"
        android:orientation="horizontal">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/technology"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_technology"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Li-Poly"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Technology"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/capacity"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_capacity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:text="5000mAh" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Temperature"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="8dp"
        android:orientation="horizontal">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/electric"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_electric"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:text="263mA" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Electric Current"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="90dp"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="6dp"
            android:layout_weight="1"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@mipmap/current"
                    tools:ignore="ContentDescription" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:orientation="vertical">


                    <TextView
                        android:id="@+id/tv_current_average"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:text="23mA" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Current Average"
                        android:textColor="#838383"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <FrameLayout
            android:id="@+id/fl_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp" />

    </FrameLayout>

    <TextView
        android:id="@+id/tv_finish"
        android:layout_width="290dp"
        android:layout_height="50dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginVertical="20dp"
        android:background="@drawable/bg_4773ff_20"
        android:gravity="center"
        android:text="Finish"
        android:textColor="@color/white"
        android:textSize="19sp"
        tools:ignore="HardcodedText" />


</LinearLayout>